List Image Prewarm Tasks
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"imageName": "<string>",
"imageUrl": "<string>",
"repositoryAuth": "<string>",
"clusterId": "<string>",
"clusterName": "<string>",
"products": [
{
"productId": "<string>",
"productName": "<string>"
}
],
"imageSize": "<string>",
"createTime": "<string>",
"state": "<string>",
"completeTime": "<string>",
"note": "<string>",
"reason": [
"<string>"
]
}
],
"total": 123
}Image
List Image Prewarm Tasks
GET
/
gpu-instance
/
openapi
/
v1
/
image
/
prewarm
List Image Prewarm Tasks
Request Headers
string
requis
Enum:
application/jsonstring
requis
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
Page number. Default: 1.
integer
Page size. Default: 10.
string
Prewarm task state. Valid values:
Pending, Running, Succeeded, Failed.string
Cluster ID.
string
Image name or task note for fuzzy matching.
Response
object[]
requis
List of prewarm tasks.
Masquer properties
Masquer properties
string
requis
Prewarm task ID.
string
requis
Image name (the last segment of the image URL without the tag).
string
requis
Image URL.
string
Image registry authentication ID.
string
requis
Cluster ID.
string
requis
Cluster name.
object[]
requis
string
Image size in bytes.
string
requis
Task creation time (Unix timestamp in seconds).
string
requis
Task state. Valid values:
Pending, Running, Succeeded, Failed.string
Task completion time (Unix timestamp in seconds).
string
Task note.
string[]
Reason messages.
integer
requis
Total number of tasks.
Dernière modification le 15 mai 2026
⌘I